---
title: NetWire Config Extractor
description: >-
  Python script to extract the configuration of NetWire RAT
template: tools.html
tags:
  - Tools
  - NetWire
authors:
  - Salim Bitam @soolidsnake
---

## Overview

This tool provides a Python module and command line tool that extract the configuration of NetWire RAT.


## Getting Started

### Docker

The recommended and easiest way to get going is to use Docker. From the directory this README is in,
you can build a local container.

```bash
docker build . -t netwire_loader_config_extractor
```

Then we run the container with the **-v** flag to map a host directory to the docker container directory

```bash
docker run -ti --rm -v $(pwd)/data:/data netwire_loader_config_extractor:latest --help
```

### Running it Locally

As mentioned above, Docker is the recommended approach to running this project, however you can also run this locally.
This project uses [Poetry](https://python-poetry.org/) to manage dependencies, testing, and metadata. If you have Poetry
 installed already, from this directory, you can simply run the following commands to run the tool. This will setup a
 virtual environment, install the dependencies, activate the virtual environment, and run the console script.

```bash
poetry lock
poetry install
poetry shell
netwire-config-extractor --help
```

## Usage

We can either specify a single sample with **-f** option or a directory of samples with **-d**. 

```bash
docker run -ti --rm -v $(pwd)/data:/data netwire_loader_config_extractor:latest -d "C:\tmp\samples"
```
<img width="1053" alt="Untitled" src="https://user-images.githubusercontent.com/24613200/204554958-c8a57395-8e5c-48e0-9bc0-a8106cf38cce.png">
